# Error
<span class="source-link">[[Source]](src/logger/logger.md#L107)</span>
```pony
primitive val Error
```

## Constructors

### create
<span class="source-link">[[Source]](src/logger/logger.md#L107)</span>


```pony
new val create()
: Error val^
```

#### Returns

* [Error](logger-Error.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/logger/logger.md#L108)</span>


```pony
fun box apply()
: U32 val
```

#### Returns

* [U32](builtin-U32.md) val

---

### eq
<span class="source-link">[[Source]](src/logger/logger.md#L108)</span>


```pony
fun box eq(
  that: Error val)
: Bool val
```
#### Parameters

*   that: [Error](logger-Error.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/logger/logger.md#L108)</span>


```pony
fun box ne(
  that: Error val)
: Bool val
```
#### Parameters

*   that: [Error](logger-Error.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

